## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XTokenStringAdapter Class Reference

Inheritance diagram for XTokenStringAdapter:

[legend]
Collaboration diagram for XTokenStringAdapter:

[legend]
List of all members.

## Public Member Functions

- XTokenStringAdapter (const XToken &theToken, MemoryManagerType &theManager)
    Create an XTokenStringAdapter from an XToken.
- XTokenStringAdapter (const XTokenStringAdapter &source, MemoryManagerType &theManager)
- virtual ~XTokenStringAdapter ()
- virtual double num () const
    Cast result object to a number.
- virtual const XalanDOMString & str () const
    Cast result object to a string.
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance.
- virtual void str (XalanDOMString &theBuffer) const
    Append the string value directly a string.
- virtual double stringLength () const
    Get the length of the string value of the instance..

## Protected Member Functions

- virtual eObjectType getRealType () const
    Tell what kind of class this is.

## Constructor & Destructor Documentation

XTokenStringAdapter::XTokenStringAdapter | ( | const XToken & | theToken,
|  | MemoryManagerType & | theManager
| ) |

  | Create an XTokenStringAdapter from an XToken. Parameters:
  theXToken | The XToken instance to adapt

XTokenStringAdapter::XTokenStringAdapter | ( | const XTokenStringAdapter & | source,
|  | MemoryManagerType & | theManager
| ) |

virtual XTokenStringAdapter::~XTokenStringAdapter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual eObjectType XTokenStringAdapter::getRealType | ( |  | ) | const`[protected, virtual]`

| Tell what kind of class this is. Returns: numeric type value Reimplemented from XObject.

virtual double XTokenStringAdapter::num | ( |  | ) | const`[virtual]`

| Cast result object to a number. Returns: numeric value Reimplemented from XStringBase.

virtual void XTokenStringAdapter::str | ( | XalanDOMString & | theBuffer | ) | const`[virtual]`

  | Append the string value directly a string. Parameters:
  theBuffer | The buffer for the data
Reimplemented from XObject.

virtual void XTokenStringAdapter::str | ( | FormatterListener & | formatterListener,
|  | MemberFunctionPtr | function
| ) | const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Implements XStringBase.

virtual const XalanDOMString& XTokenStringAdapter::str | ( |  | ) | const`[virtual]`

| Cast result object to a string. Returns: string value Implements XStringBase.

virtual double XTokenStringAdapter::stringLength | ( |  | ) | const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Implements XStringBase.

The documentation for this class was generated from the following file:

- XTokenStringAdapter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.